<?php

namespace App\Http\Controllers\AdminDashboard;
use App\Http\Controllers\Controller;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Models\About;
use App\Models\Images;

class AboutController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function edit(){
        $about=About::first();
        return view("dashboard.about.edit")->with("about",$about?$about:null);
    }
    public function update(Request $request){
       $data=$request->validate([
            "description_en"=>'required',
            "about_image_id"=>'',
            "mission_en"=>'required',
            "mission_image_id"=>'',
            "vision_en"=>'required',
            "vision_image_id"=>'',
            "values_en"=>'required',
            "values_image_id"=>'',
            "description_ar"=>'required',
            "mission_ar"=>'required',
            "vision_ar"=>'required',
            "values_ar"=>'required',
        ]);
        $about_image_name=!$request->about_image_id?null:time()."_".$request->about_image_id->getClientOriginalName();
        //$request->about_image_id->storeAs("uploads/about",$about_image_name);
        $mission_image_name=!$request->mission_image_id?null:time()."_".$request->mission_image_id->getClientOriginalName();
        //$request->mission_image_id->storeAs("uploads/about",$mission_image_name);
        $vision_image_name=!$request->vision_image_id?null:time()."_".$request->vision_image_id->getClientOriginalName();
        //$request->vision_image_id->storeAs("uploads/about",$vision_image_name);
        $values_image_name=!$request->values_image_id?null:time()."_".$request->values_image_id->getClientOriginalName();
        //$request->values_image_id->storeAs("uploads/about",$values_image_name);
        $about=About::first();
        if(!$about){
            //first add images to images table in main , ar & en
            $request->about_image_id->storeAs("/storage/uploads/about",$about_image_name);
            $request->mission_image_id->storeAs("/storage/uploads/about",$mission_image_name);
            $request->vision_image_id->storeAs("/storage/uploads/about",$vision_image_name);
            $request->values_image_id->storeAs("/storage/uploads/about",$values_image_name);
            $about_image=[
                "name"=>$about_image_name,
                "dir_name"=>'about',
            ];
            $mission_image=[
                "name"=>$mission_image_name,
                "dir_name"=>'about',
            ];
            $vision_image=[
                "name"=>$vision_image_name,
                "dir_name"=>'about',
            ];
            $values_image=[
                "name"=>$values_image_name,
                "dir_name"=>'about',
            ];
            $about_image_id=Images::create($about_image)->id;
            $mission_image_id=Images::create($mission_image)->id;
            $vision_image_id=Images::create($vision_image)->id;
            $values_image_id=Images::create($values_image)->id;
            $image_ar=array(
                array("image_id"=>$about_image_id),
                array("image_id"=>$mission_image_id),
                array("image_id"=>$vision_image_id),
                array("image_id"=>$values_image_id),
            );
            $image_en=array(
                array("image_id"=>$about_image_id),
                array("image_id"=>$mission_image_id),
                array("image_id"=>$vision_image_id),
                array("image_id"=>$values_image_id),
            );
            \App\Models\Arabic\Images::insert($image_ar);
            \App\Models\English\Images::insert($image_en);
//second add about data int table in main , ar & en
            $about_data=[
                "about_image_id"=>$about_image_id,
                "mission_image_id"=>$mission_image_id,
                "vision_image_id"=>$vision_image_id,
                "our_values_image_id"=>$values_image_id,
                "created_by"=>auth()->user()->id,
            ];
            $id=About::create($about_data)->id;
            $en=[
                "about_id"=>$id,
                "about_company"=>$request->description_en,
                "mission"=>$request->mission_en,
                "vision"=>$request->vision_en,
                "our_values"=>$request->values_en,
            ];
            $ar=[
                "about_id"=>$id,
                "about_company"=>$request->description_ar,
                "mission"=>$request->mission_ar,
                "vision"=>$request->vision_ar,
                "our_values"=>$request->values_ar,
            ];
            //$about->about_ar->update(['' => '',]);
           \App\Models\English\About::create($en);
            \App\Models\Arabic\About::create($ar);
            return redirect("/adminDashboard/about/edit");
        }else{
            About::where('id',$about->id)->update(['created_by'=>auth()->user()->id]);
            $about_ar=\App\Models\Arabic\About::where("about_id",$about->id)->first();
            $about_en=\App\Models\English\About::where("about_id",$about->id)->first();
            $en=[
                "about_id"=>$about_en->about_id,
                "about_company"=>$request->description_en,
                "mission"=>$request->mission_en,
                "vision"=>$request->vision_en,
                "our_values"=>$request->values_en,
            ];
            $ar=[
                "about_id"=>$about_ar->about_id,
                "about_company"=>$request->description_ar,
                "mission"=>$request->mission_ar,
                "vision"=>$request->vision_ar,
                "our_values"=>$request->values_ar,
            ];
            $about_ar->update($ar);
            $about_en->update($en);
            /*$about_images_ids=[$about->about_image_id,$about->mission_image_id,$about->vision_image_id,$about->our_values_image_id];
            Images::whereIn("id",$about_images_ids)->update(['name'=>$request->about_image_id?$about_image_name:Images::find($request->about_image_id)->name,'dir_name'=>'about'],
                ['name'=>$request->mission_image_id?$mission_image_name:Images::find($request->mission_image_id)->name,'dir_name'=>'about'],
                ['name'=>$request->vision_image_id?$vision_image_name:Images::find($request->vision_image_id)->name,'dir_name'=>'about'],
                ['name'=>$request->values_image_id?$values_image_name:Images::find($request->values_image_id)->name,'dir_name'=>'about']
            );*/
            if($request->about_image_id){
                $request->about_image_id->storeAs("/storage/uploads/about",$about_image_name);
                Images::where("id",$about->about_image_id)->update(["name"=>$about_image_name,"dir_name"=>'about']);
            }else{}
             if($request->mission_image_id) {
                 $request->mission_image_id->storeAs("/storage/uploads/about",$mission_image_name);
                 Images::where("id", $about->mission_image_id)->update(["name" => $mission_image_name, "dir_name" => 'about']);
                     }else{}
            if($request->vision_image_id){
                $request->vision_image_id->storeAs("/storage/uploads/about",$vision_image_name);
                Images::where("id",$about->vision_image_id)->update(["name"=>$vision_image_name,"dir_name"=>'about']);
                }else{}
            if( $request->values_image_id){
                $request->values_image_id->storeAs("/storage/uploads/about",$values_image_name);
                Images::where("id",$about->our_values_image_id)->update(["name"=>$values_image_name,"dir_name"=>'about']);
            }   else{}
            return redirect("/adminDashboard/about/edit");
        }
    }
}
