<?php
namespace App\Http\Controllers\AdminDashboard;
use App\Http\Controllers\Controller;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Models\Category;
use App\Models\Images;


class CategoryController extends Controller{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index(){
        $categories=Category::all();
        /*$category=Category::first();
        dd($category->products);*/
        return view("dashboard.category.index")->with("categories",$categories);
    }
    public function create(){
        return view("dashboard.category.create");
    }

    public function store(Request $request){
        $request->validate([
            'name_en'=>'required',
            'description_en'=>'required',
            'image_id'=>'required|image|mimes:jpeg,png',
            'name_ar'=>'required',
            'description_ar'=>'required'
        ]);
        if($request->image_id){
            $image_name=time()."_".$request->image_id->getClientOriginalName();
            $request->image_id->storeAs("/storage/uploads/category",$image_name);
            $image_id=Images::create(['name'=>$image_name,'dir_name'=>'category'])->id;
            \App\Models\Arabic\Images::create(['image_id'=>$image_id,'description'=>'','alt'=>'']);
            \App\Models\English\Images::create(['image_id'=>$image_id,'description'=>'','alt'=>'']);

            //create category -----------
            $category_id=Category::create(['image_id'=>$image_id,'created_by'=>auth()->user()->id])->id;
            \App\Models\Arabic\Category::insert(['category_id'=>$category_id,'name'=>$request->name_ar,'description'=>$request->description_ar]);
            \App\Models\English\Category::insert(['category_id'=>$category_id,'name'=>$request->name_en,'description'=>$request->description_en]);
            }

            return redirect("/adminDashboard/category");
    }

    public function edit($id){
        $category=Category::find($id);
        return view("dashboard.category.edit")->with("category",$category?$category:null);
    }

    public function update(Request $request,$id){
        $category=Category::find($id);
        $request->validate([
            'name_en'=>'required',
            'description_en'=>'required',
            'image_id'=>'required|image|mimes:jpeg,png',
            'name_ar'=>'required',
            'description_ar'=>'required'
        ]);
        if($request->image_id) {
            $image_name = time() . "_" . $request->image_id->getClientOriginalName();
            $request->image_id->storeAs("/storage/uploads/category", $image_name);
            $image_id = Images::where('id',$category->image_id)->update(['name' => $image_name]);
            \App\Models\Arabic\Images::where('image_id',$category->image_id)->update(['description'=>'','alt'=>'']);
            \App\Models\English\Images::where('image_id',$category->image_id)->update(['description'=>'','alt'=>'']);
        }
        //update category -----------
        $category->update(['created_by'=>auth()->user()->id]);
        \App\Models\Arabic\Category::where('category_id',$id)->update(['name'=>$request->name_ar,'description'=>$request->description_ar]);
        \App\Models\English\Category::where('category_id',$id)->update(['name'=>$request->name_en,'description'=>$request->description_en]);
        return redirect("/adminDashboard/category");


    }

    public function destroy($id){
        $category=Category::find($id);;
        $category->forceDelete();
        return redirect("/adminDashboard/category");
    }
}
