<?php

namespace App\Http\Controllers\AdminDashboard;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Http\Requests;

use App\Models\Contact;

class ContactController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function edit(){
        $contact=Contact::first();
        return view("dashboard.contact.edit")->with('contact',$contact?$contact:null);
    }
    public function update(Request $request){
        $data=$request->validate([
            'email'=>'required|email',
            'phone'=>'required|digits:11',
            'phone_alt'=>'required|digits:11',
            'address_en'=>'required',
            'location'=>'',
            'address_ar'=>'required',
            'facebook'=>'',
            'twitter'=>'',
            'instagram'=>'',
            'youtube'=>'',
            'linkedin'=>'',
            'whatsapp'=>'',
            'behance'=>'',
            'pintrest'=>'',
        ]);
        $contact=Contact::first();
        if(!$contact){
                $newContact_id=Contact::create(['email'=>$request->email,'phone_1'=>$request->phone,'phone_2'=>$request->phone_alt,
                    'location'=>$request->location,'facebook_link'=>$request->facebook,'twitter_link'=>$request->twitter,
                    'instagram_link'=>$request->instagram,'youtube_link'=>$request->youtube,'linkedin_link'=>$request->linkedin,
                    'whatsapp_link'=>$request->whatsapp,'behance_link'=>$request->behance,'pintrest_link'=>$request->pintrest
                ])->id;

                \App\Models\Arabic\Contact::create(['contact_id'=>$newContact_id,'address'=>$request->address_ar]);
                \App\Models\English\Contact::create(['contact_id'=>$newContact_id,'address'=>$request->address_en]);
                return back();

        }else{
            $contact_id=$contact->id;
            $contact->update(['email'=>$request->email,'phone_1'=>$request->phone,'phone_2'=>$request->phone_alt,
                'location'=>$request->location,'facebook_link'=>$request->facebook,'twitter_link'=>$request->twitter,
                'instagram_link'=>$request->instagram,'youtube_link'=>$request->youtube,'linkedin_link'=>$request->linkedin,
                'whatsapp_link'=>$request->whatsapp,'behance_link'=>$request->behance,'pintrest_link'=>$request->pintrest
            ]);
            \App\Models\Arabic\Contact::where('contact_id',$contact_id)->update(['address'=>$request->address_ar]);
            \App\Models\English\Contact::where('contact_id',$contact_id)->update(['address'=>$request->address_en]);
            return back();
        }

    }
}
