<?php
namespace App\Http\Controllers\AdminDashboard;
use App\Http\Controllers\Controller;
use App\Models\Message;
use Illuminate\Http\Request;
use App\Http\Requests;

use App\Models\Service_request;

class ServiceRequestController extends Controller{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index(){
        $service_requests=Service_request::all();
        return view("dashboard.service_request.index")->with('service_requests',$service_requests);
    }

    public function store(Request $request){
        $request->validate([
            'name'=>'required|alpha',
            'phone'=>'required|digits:11',
            'email'=>'required|email',
            'product_id'=>'required|numeric',
            'message_content'=>'required',
        ]);
       Service_request::create(['service_id'=>$request->product_id,'requester_name'=>$request->name,'phone'=>$request->phone,
            "email"=>$request->email,'message'=>$request->message_content])->id;
        return redirect("/home")->with("create",'your request has been sent successfully.');
    }
    public function show($id){
        $service_request=Service_request::find($id);
        return view("dashboard.service_request.show",compact('service_request'));
    }

    public function destroy($id){
        $service_request=Service_request::find($id);
        $service_request->delete();

        return redirect("/adminDashboard/service_request")->with('delete','data has been deleted successfully.');


    }
}
