<?php

namespace App\Http\Controllers\AdminDashboard;
use App\Http\Controllers\Controller;
use App\Models\Images;
use Illuminate\Http\Request;

use App\Http\Requests;
use App\Models\Settings;

class SettingController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function edit(){
        $setting=Settings::first();
        //echo $setting->image->name;
        //dd($setting!=null?$setting->image:'');
        //return $setting->image;
        return view("dashboard.setting.edit", compact('setting'));
    }
    public function update(Request $request){
         $setting=Settings::first();
         if($setting){
             $data=$request->validate([
                 'website_name_en'=>'required',
                 'website_description_en'=>'required',
                 'status'=>'required|boolean',
                 'logo'=>'image|mimes:jpeg,png',
                 'alt'=>'required',
                 'default_lang'=>'required|alpha',
                 'website_name_ar'=>'required',
                 'website_description_ar'=>'required'
             ]);
             //echo $request->alt;
             if($request->logo) {
                 $image_name = time()."_".$request->logo->getClientOriginalName();
                 //return $image_name;
                 $request->logo->storeAs("/storage/uploads/setting",$image_name);
                 $image=Images::find($setting->image_id);
                 //$image->id=$setting->image_id;
                 $image->name=$image_name;
                 $image->dir_name='setting';
                 $image->save();
                 //$image_id = Images::where('id',$setting->image_id)->update(['name' =>$image_name, 'dir_name' => 'setting', 'alt' =>$request->alt]);
             }
             $image=Images::find($setting->image_id);
             $image->alt=$request->alt;
             $image->save();
             Settings::where("id",$setting->id)->update(['status'=>$request->status,'lang'=>$request->default_lang]);
             \App\Models\Arabic\Settings::where("setting_id",$setting->id)->update(['websiteName'=>$request->website_name_ar,'websiteDescription'=>$request->website_description_ar]);
             \App\Models\English\Settings::where("setting_id",$setting->id)->update(['websiteName'=>$request->website_name_en,'websiteDescription'=>$request->website_description_en]);

             //return view("dashboard.setting.edit");
         }else{
             $data = $request->validate([
                 'website_name_en' => 'required',
                 'website_description_en' => 'required',
                 'status' => 'required|boolean',
                 'logo' => 'required|image|mimes:jpeg,png',
                 'alt' => 'required',
                 'default_lang' => 'required|alpha',
                 'website_name_ar' => 'required',
                 'website_description_ar' => 'required'
             ]);
             if ($request->logo) {
                 $image_name = time() . "_" . $request->logo->getClientOriginalName();
                 $request->logo->storeAs("/storage/uploads/setting", $image_name);
                 $image_id = Images::create(['name' => $image_name, 'dir_name' => 'setting', 'alt' => $request->alt])->id;
                 $setting_id = Settings::create(['status' => $request->status, 'image_id' => $image_id, 'lang' => $request->default_lang])->id;
                 \App\Models\Arabic\Settings::create(['setting_id' => $setting_id, 'websiteName' => $request->website_name_ar, 'websiteDescription' => $request->website_description_ar]);
                 \App\Models\English\Settings::create(['setting_id' => $setting_id, 'websiteName' => $request->website_name_en, 'websiteDescription' => $request->website_description_en]);
             }
         }

        return redirect(url('/adminDashboard/setting/edit'));
    }
}
