<?php

namespace App\Http\Controllers\AdminDashboard;
use App\Http\Controllers\Controller;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Models\Working_days;
use App\Models\Branch;


class Working_daysController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index(){
        $working_days=Working_days::all();

        //dd($working_days->working_days_en);
        return view('dashboard.working_days.index')->with('working_days',$working_days);
    }
    public function create(){
        $branchs=Branch::all();
        return view('dashboard.working_days.create')->with('branchs',$branchs);
    }

    public function store(Request $request){
        $request->validate([
            'branch_id'=>'required|numeric',
            'working_time_en'=>'required','working_hrs_en'=>'required','closing_days_en'=>'','working_time_ar'=>'required','working_hrs_ar'=>'required','closing_days_ar'=>'',
            'sat_en'=>'', 'sun_en'=>'', 'mon_en'=>'', 'tus_en'=>'', 'wed_en'=>'', 'thu_en'=>'', 'fri_en'=>'',
             'sat_ar'=>'', 'sun_ar'=>'', 'mon_ar'=>'', 'tus_ar'=>'', 'wed_ar'=>'', 'thu_ar'=>'', 'fri_ar'=>'',
        ]);
        echo "hello";
        $branch=Working_days::where('branch_id',$request->branch_id)->get();
        if($branch->count()>=1){
            //echo 'okkk';
            return redirect('/adminDashboard/working_days')->with('warning','yoy can`t add working days for this branch it`s already has a working days.. you can edit it');
        }else{
            //echo 'noo';
            $working_days_id=Working_days::create(['branch_id'=>$request->branch_id,'created_by'=>auth()->user()->id])->id;
            \App\Models\Arabic\Working_days::create(['working_days_id'=>$working_days_id,'working_time'=>$request->working_time_ar,
                'closing_days'=>$request->closing_days_ar,'working_hrs'=>$request->working_hrs_ar,
                'sat'=>$request->sat_ar,'sun'=>$request->sun_ar,
                'mon'=>$request->mon_ar,'tus'=>$request->tus_ar,'wed'=>$request->wed_ar,'thu'=>$request->thu_ar,'sat'=>$request->fri_ar,
            ]);
            \App\Models\English\Working_days::create(['working_days_id'=>$working_days_id,'working_time'=>$request->working_time_en,
                'closing_days'=>$request->closing_days_en,'working_hrs'=>$request->working_hrs_en,
                'sat'=>$request->sat_en,'sun'=>$request->sun_en,
                'mon'=>$request->mon_en,'tus'=>$request->tus_en,'wed'=>$request->wed_en,'thu'=>$request->thu_en,'sat'=>$request->fri_en,
            ]);
            return redirect('/adminDashboard/working_days');
        }


    }

    public function destroy($id){
        $working_days=Working_days::find($id);
        $working_days->delete();
        return redirect('/adminDashboard/working_days')->with('delete','Data deleted successfull');
    }

    public function edit($id){
        $working_days=Working_days::find($id);
        $branchs=Branch::all();
        //dd($working_days->working_days_en);
        return view('dashboard.working_days.edit')->with('branchs',$branchs)->with('working_days',$working_days);
    }

    public function update(Request $request,$id){
        $working_days=Working_days::find($id);
        //$branchs=Branch::all();
        $request->validate([
            //'branch_id'=>'required|numeric',
            'working_time_en'=>'required','working_hrs_en'=>'required','closing_days_en'=>'','working_time_ar'=>'required','working_hrs_ar'=>'required','closing_days_ar'=>'',
            'sat_en'=>'', 'sun_en'=>'', 'mon_en'=>'', 'tus_en'=>'', 'wed_en'=>'', 'thu_en'=>'', 'fri_en'=>'',
            'sat_ar'=>'', 'sun_ar'=>'', 'mon_ar'=>'', 'tus_ar'=>'', 'wed_ar'=>'', 'thu_ar'=>'', 'fri_ar'=>'',
        ]);
        $working_days->update(['created_by'=>auth()->user()->id]);
        \App\Models\Arabic\Working_days::where('working_days_id',$id)->update(['working_time'=>$request->working_time_ar,
            'closing_days'=>$request->closing_days_ar,'working_hrs'=>$request->working_hrs_ar, 'sat'=>$request->sat_ar,'sun'=>$request->sun_ar,
            'mon'=>$request->mon_ar,'tus'=>$request->tus_ar,'wed'=>$request->wed_ar,'thu'=>$request->thu_ar,'sat'=>$request->fri_ar]);

        \App\Models\English\Working_days::where('working_days_id',$id)->update(['working_time'=>$request->working_time_en,
            'closing_days'=>$request->closing_days_en,'working_hrs'=>$request->working_hrs_en,'sat'=>$request->sat_en,'sun'=>$request->sun_en,
            'mon'=>$request->mon_en,'tus'=>$request->tus_en,'wed'=>$request->wed_en,'thu'=>$request->thu_en,'sat'=>$request->fri_en]);

        return redirect('/adminDashboard/working_days')->with('update','Data updated successfull');
    }

}
