<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class About extends Model{
    use SoftDeletes;
    protected $connection='mysql';
    protected $table='about';
    protected $fillable=['about_image_id','mission_image_id','vision_image_id','our_values_image_id'];
    protected $dates=['deleted_at'];

    public function about_ar(){
        return $this->hasOne("App\Models\Arabic\About","about_id","id");
    }
    public function about_en(){
        return $this->hasOne("App\Models\English\About","about_id","id");
    }

    public function aboutImage(){
        return $this->hasOne("App\Models\Images","id","about_image_id");
    }
    public function missionImage(){
        return $this->hasOne("App\Models\Images","id","mission_image_id");
    }
    public function visionImage(){
        return $this->hasOne("App\Models\Images","id","vision_image_id");
    }
    public function valuesImage(){
        return $this->hasOne("App\Models\Images","id","our_values_image_id");
    }
    public function created_by_user(){
        return $this->hasOne('App\User','id','created_by');
    }

}
