<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Album extends Model{
    use SoftDeletes;
    protected $connection='mysql';
    protected $table='album';
    protected $fillable=['image_id','url','og_id','page_id','created_by'];
    protected $dates=["deleted_at"];

    public function album_ar(){
        return $this->hasOne("App\Models\Arabic\Album",'album_id','id');
    }

    public function album_en(){
        return $this->hasOne("App\Models\English\Album",'album_id','id');
    }
    public function images(){
        return $this->hasMany("App\Models\Album_images",'album_id','id');
    }
    public function image(){
        return $this->hasOne("App\Models\Images",'id','image_id');
    }
    public function created_by_user(){
        return $this->hasOne('App\User','id','created_by');
    }


    public function openGraph(){
        return $this->hasOne('App\Models\OpenGraph','id','og_id');
    }
    public function page(){
        return $this->hasOne('App\Models\Pages','id','page_id');
    }
}
